# inspired from fedora spec file
# Copyright (c) 2014-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     Autoload
%define composer_name   autoload
%define composer_vendor theseer
%define pear_name       Autoload
%define pear_channel    pear.netpirates.net

%define php_libdir     %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$
%global __requires_exclude pear\\(/usr/share/php/TheSeer/Autoload/autoload.php\\)

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.26.0
Release:        %mkrel 1
Summary:        A tool and library to generate autoload code
Group:          Development/PHP
License:        BSD
URL:            https://github.com/theseer/Autoload
Source0:        https://github.com/theseer/Autoload/archive/Autoload-%{version}.tar.gz
Patch0:         %{github_name}-rpm.patch
BuildArch:      noarch

# From composer.json, "require": {
#        "theseer/directoryscanner": "~1.3",
#        "zetacomponents/console-tools": "~1.7"
Requires:       php >= 3:7.0.0
Requires:       php-composer(theseer/directoryscanner) >= 1.3
Requires:       php-composer(zetacomponents/console-tools) >= 1.7
# From phpcompatinfo report for version 1.21
Requires:       php-cli
Requires:       php-json
Requires:       php-openssl
Requires:       php-phar
Requires:       php-tokenizer

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}
Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}

%description
The PHP AutoloadBuilder CLI tool phpab is a command line application
to automate the process of generating an autoload require file with
the option of creating static require lists as well as phar archives.

%prep
%setup -qn %{github_name}-%{version}

%patch0 -p0 -b .rpm

: drop composer dependencies
sed -e '\:../vendor/:d'    -i src/autoload.php

: add package dependencies
cat <<EOF | tee            -a src/autoload.php
// Dependencies
require '/usr/share/php/TheSeer/DirectoryScanner/autoload.php';
require '/usr/share/php/ezc/Base/base.php';
spl_autoload_register(array('\\ezcBase','autoload'));
EOF

# set version
sed -e 's/@VERSION@/%{version}/' -i phpab.php

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/TheSeer
cp -pr src %{buildroot}%{php_libdir}/TheSeer/%{github_name}

install -Dpm 0755 phpab.php %{buildroot}%{_bindir}/phpab


%pre
if [ -x %{_bindir}/pear ]; then
  %{_bindir}/pear uninstall --nodeps --ignore-errors --register-only \
      %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files
%doc README.md composer.json LICENSE
%{php_libdir}/TheSeer/%{github_name}
%{_bindir}/phpab


%changelog
* Fri Oct 30 2020 guillomovitch <guillomovitch> 1.26.0-1.mga8
+ Revision: 1640692
- new version 1.26.0

* Wed Mar 25 2020 guillomovitch <guillomovitch> 1.25.9-1.mga8
+ Revision: 1560296
- new version 1.25.9

* Tue Feb 18 2020 umeabot <umeabot> 1.25.8-2.mga8
+ Revision: 1539212
- Mageia 8 Mass Rebuild

* Mon Dec 02 2019 guillomovitch <guillomovitch> 1.25.8-1.mga8
+ Revision: 1464017
- new version 1.25.8

* Sun Nov 17 2019 guillomovitch <guillomovitch> 1.25.7-1.mga8
+ Revision: 1461495
- new version 1.25.7

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.25.6-1.mga8
+ Revision: 1417199
- new version 1.25.6

* Sat Apr 20 2019 guillomovitch <guillomovitch> 1.25.4-1.mga7
+ Revision: 1394047
- new version 1.25.4

* Sat Mar 16 2019 guillomovitch <guillomovitch> 1.25.3-1.mga7
+ Revision: 1377911
- new version 1.25.3

* Sun Oct 28 2018 guillomovitch <guillomovitch> 1.25.1-3.mga7
+ Revision: 1326380
- really fix automatic dependencies

* Sat Oct 27 2018 guillomovitch <guillomovitch> 1.25.1-2.mga7
+ Revision: 1326226
- fix automatic dependencies

* Sat Oct 27 2018 guillomovitch <guillomovitch> 1.25.1-1.mga7
+ Revision: 1326154
- new version 1.25.1

* Fri Oct 26 2018 mokraemer <mokraemer> 1.24.1-4.mga7
+ Revision: 1325880
- updated requirements

* Thu Sep 20 2018 umeabot <umeabot> 1.24.1-3.mga7
+ Revision: 1287878
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 guillomovitch <guillomovitch> 1.24.1-2.mga7
+ Revision: 1183886
- fix autoloader path

* Thu Nov 30 2017 mokraemer <mokraemer> 1.24.1-1.mga7
+ Revision: 1180336
- new version

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.23.0-2.mga6
+ Revision: 1096731
- don't use old php automatic dependency generator

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.23.0-1.mga6
+ Revision: 1096680
- imported package php-theseer-autoload

